List Webhook Logs
curl --request GET \
--url https://johnajayi-avenue.hf.space/v1/webhook-logs \
--header 'x-api-key: <api-key>'import requests
url = "https://johnajayi-avenue.hf.space/v1/webhook-logs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://johnajayi-avenue.hf.space/v1/webhook-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "l9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"payload": {
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"api_version": "2026-07-01",
"created_at": "2026-07-01T12:00:00Z",
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"amount": 2500000
}
},
"status": "DELIVERED",
"http_status_code": 200,
"response_body": "OK",
"attempt_count": 1,
"next_retry_at": null,
"delivered_at": "2026-07-01T12:00:05Z",
"created_at": "2026-07-01T12:00:00Z"
}
],
"total": 1,
"page": 1,
"limit": 20
}
}
Webhook Logs
List Webhook Logs
List all outbound webhook delivery attempts from Avenue to your application.
GET
/
v1
/
webhook-logs
List Webhook Logs
Request Headers
string
required
Your live or test API key.
Query Parameters
string
Filter by
DELIVERED, FAILED, PENDING, DEAD.string
Filter by event (e.g.
ledger.credit).Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"items": [
{
"id": "l9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"payload": {
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"api_version": "2026-07-01",
"created_at": "2026-07-01T12:00:00Z",
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"amount": 2500000
}
},
"status": "DELIVERED",
"http_status_code": 200,
"response_body": "OK",
"attempt_count": 1,
"next_retry_at": null,
"delivered_at": "2026-07-01T12:00:05Z",
"created_at": "2026-07-01T12:00:00Z"
}
],
"total": 1,
"page": 1,
"limit": 20
}
}
Was this page helpful?